using Ninject.Extensions.ChildKernel;
using VisionBuilder.UI.Common;

namespace VisionBuilder.UI.Ringbuffer;

public static class ModuleExtensions
{
    public static IChildKernel UseRingbuffer(this IChildKernel self, string cameraName)
    {
        self.Bind<VisionBuilderRingbufferSettings, ISettings>().ToConstant(new VisionBuilderRingbufferSettings(cameraName));
        self.RegisterModule<VisionBuilderRingbuffer>();
        return self;
    }
}